﻿namespace VertexColor.ScenePartition.Editor
{
    [System.Serializable]
    public class ScenePartitionData
    {
        public bool HasCreatedPartitions => ScenePartitions != null && ScenePartitions.Count > 0;
        public ScenePartitionSortedList ScenePartitions = new ScenePartitionSortedList();

        public bool HasLoadedPartitions => LoadedScenePartitions != null && LoadedScenePartitions.Count > 0;
        public ScenePartitionSortedList LoadedScenePartitions = new ScenePartitionSortedList();

        public SceneGrid SceneGrid = new SceneGrid();
    }
}