using System.Collections.Generic;

namespace VertexColor.ScenePartition
{
    [System.Serializable]
    public class ScenePartitionSortedList : SerializableSortedList<ulong, ScenePartition> { }

    [System.Serializable]
    public class LongSortedSet : SerializableSortedSet<ulong> { }

    [System.Serializable]
    public class SceneGridDictionary : SerializableDictionary<int, GridList> { }

    [System.Serializable]
    public class GridList
    {
        public List<ulong> list = new List<ulong>();
    }
}